<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__white__list__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_white_list_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__white__list__t_1a1fb599e2e04d2692ec0759df6b4f1f86" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_white_list_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>Peer ID Address type, public = 0, Random = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="847" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="847" />
      </memberdef>
      <memberdef id="structcy__stc__ble__white__list__t_1aeb782038e31281af3242851117ce2064" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_white_list_t::bdAddr[CY_BLE_BD_ADDR_SIZE]</definition>
        <argsstring>[CY_BLE_BD_ADDR_SIZE]</argsstring>
        <name>bdAddr</name>
        <briefdescription>
<para>Peer ID Address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="850" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="850" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>White List information param. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="852" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="844" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="845" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__white__list__t_1aeb782038e31281af3242851117ce2064" virt="non-virtual"><scope>cy_stc_ble_white_list_t</scope><name>bdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__white__list__t_1a1fb599e2e04d2692ec0759df6b4f1f86" virt="non-virtual"><scope>cy_stc_ble_white_list_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>